package com.hdp.piplus.lts.jobclient;

import com.lts.core.domain.Job;
import com.lts.jobclient.JobClient;
import com.lts.jobclient.domain.Response;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("job")
public class TestJobClientController {
    private static Logger logger = LoggerFactory.getLogger(TestJobClientController.class);

    @RequestMapping(value = "submit", method = RequestMethod.POST)
    public Response testJobSubmit(@RequestBody Job job) {
        JobClient jobClient = JobClientFactory.getJobClient();
        return jobClient.submitJob(job);
    }
}
