package com.hdp.piplus.lts.tasktracker;

import com.lts.tasktracker.TaskTracker;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

@Component
public class TaskTrackerLauncher {
    @Autowired
    private ApplicationContext context;

    public void launch() {
        TaskTracker taskTracker = context.getBean(TaskTracker.class);
        taskTracker.start();
        Runtime.getRuntime().addShutdownHook(new Thread(taskTracker::stop));
    }
}
